%define upstream_name    Plack
%define upstream_version 1.0014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::StackTrace) >= 1.230.0
BuildRequires: perl(Devel::StackTrace::AsHTML) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Filesys::Notify::Simple)
BuildRequires: perl(HTTP::Body) >= 1.60.0
BuildRequires: perl(HTTP::Message) >= 5.814.0
BuildRequires: perl(Hash::MultiValue) >= 0.50.0
BuildRequires: perl(LWP::UserAgent) >= 5.814.0
BuildRequires: perl(Pod::Usage) >= 1.360.0
BuildRequires: perl(Stream::Buffered) >= 0.20.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 1.20.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.590.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack is a set of tools for using the PSGI stack. It contains middleware
components, a reference server and utilities for Web application
frameworks. Plack is like Ruby's Rack or Python's Paste for WSGI.

See the PSGI manpage for the PSGI specification and the PSGI::FAQ manpage
to know what PSGI and Plack are and why we need them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README eg
%{_bindir}/*
%{_mandir}/man?/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.400-2.mga3
+ Revision: 371819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.1.400-1.mga3
+ Revision: 342536
- update to 1.0014

* Wed Nov 14 2012 jquelin <jquelin> 1.1.100-1.mga3
+ Revision: 317751
- update to 1.0011

* Wed Nov 07 2012 jquelin <jquelin> 1.1.0-1.mga3
+ Revision: 315822
- update to 1.0010

* Mon Oct 15 2012 jquelin <jquelin> 1.0.500-1.mga3
+ Revision: 306586
- update to 1.0005

* Wed Sep 26 2012 jquelin <jquelin> 1.0.400-1.mga3
+ Revision: 298084
- update to 1.0004

* Fri Aug 31 2012 kharec <kharec> 1.0.300-1.mga3
+ Revision: 286440
- update to 1.0003

* Wed Jul 04 2012 jquelin <jquelin> 0.998.900-1.mga3
+ Revision: 267461
- update to 0.9989

* Tue Jun 05 2012 jquelin <jquelin> 0.998.800-1.mga3
+ Revision: 255354
- update to 0.9988

* Thu Mar 29 2012 jquelin <jquelin> 0.998.500-2.mga2
+ Revision: 227439
- fix summary (mga#5150)

* Tue Nov 08 2011 jquelin <jquelin> 0.998.500-1.mga2
+ Revision: 165537
- update to 0.9985

* Thu Oct 13 2011 jquelin <jquelin> 0.998.400-1.mga2
+ Revision: 154451
- update to 0.9984
- update to 0.9982

* Tue Jun 21 2011 jquelin <jquelin> 0.998.0-1.mga2
+ Revision: 111279
- imported package perl-Plack

